Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-15 Thread Robbie Harwood
Stephen Frost writes: > Robbie, > > * Robbie Harwood (rharw...@redhat.com) wrote: >> Michael Paquier writes: >> > - maj_stat = gss_accept_sec_context( >> > - _stat, >> > + maj_stat =

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-15 Thread Stephen Frost
Robbie, * Robbie Harwood (rharw...@redhat.com) wrote: > Michael Paquier writes: > > - maj_stat = gss_accept_sec_context( > > - _stat, > > + maj_stat = gss_accept_sec_context(_stat, > > > > This is just noise. > >

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-15 Thread Robbie Harwood
Michael Paquier writes: > On Tue, Mar 15, 2016 at 3:12 PM, David Steele wrote: >> On 3/8/16 5:44 PM, Robbie Harwood wrote: >>> Here's yet another version of GSSAPI encryption support. >> >> This looks far more stable than last versions, cool to

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-15 Thread Michael Paquier
On Tue, Mar 15, 2016 at 3:12 PM, David Steele wrote: > On 3/8/16 5:44 PM, Robbie Harwood wrote: >> Here's yet another version of GSSAPI encryption support. This looks far more stable than last versions, cool to see the progress. pgbench -C does not complain on my side so

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-15 Thread David Steele
On 3/8/16 5:44 PM, Robbie Harwood wrote: > Here's yet another version of GSSAPI encryption support. OK, everything seems to be working fine with a 9.6 client and server so next I tested older clients and I got this error: $ /usr/lib/postgresql/9.1/bin/psql -h localhost \ -U

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-14 Thread David Steele
On 3/14/16 7:20 PM, Robbie Harwood wrote: > David Steele writes: > >> >> Strange timing since I was just testing this. Here's what I got: >> >> $ pg/bin/psql -h localhost -U vagr...@pgmasters.net postgres >> conn->inStart = 179, conn->inEnd = 179, conn->inCursor = 179 >>

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-14 Thread Robbie Harwood
David Steele writes: > On 3/14/16 4:10 PM, Robbie Harwood wrote: > >> David Steele writes: >> >>> On 3/8/16 5:44 PM, Robbie Harwood wrote: >>> Here's yet another version of GSSAPI encryption support. It's also available for viewing on my

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-14 Thread David Steele
On 3/14/16 4:10 PM, Robbie Harwood wrote: > David Steele writes: > >> Hi Robbie, >> >> On 3/8/16 5:44 PM, Robbie Harwood wrote: >>> Hello friends, >>> >>> Here's yet another version of GSSAPI encryption support. It's also >>> available for viewing on my github: >> >> The

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-14 Thread Robbie Harwood
David Steele writes: > Hi Robbie, > > On 3/8/16 5:44 PM, Robbie Harwood wrote: >> Hello friends, >> >> Here's yet another version of GSSAPI encryption support. It's also >> available for viewing on my github: > > The build went fine but when testing I was unable to logon

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-09 Thread Robbie Harwood
David Steele writes: > On 3/8/16 5:44 PM, Robbie Harwood wrote: >> >> Here's yet another version of GSSAPI encryption support. It's also >> available for viewing on my github: > > I got this warning when applying the first patch in the set: > >

Re: [HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-09 Thread David Steele
Hi Robbie, On 3/8/16 5:44 PM, Robbie Harwood wrote: > Hello friends, > > Here's yet another version of GSSAPI encryption support. It's also > available for viewing on my github: I got this warning when applying the first patch in the set:

[HACKERS] [PATCH v6] GSSAPI encryption support

2016-03-08 Thread Robbie Harwood
Hello friends, Here's yet another version of GSSAPI encryption support. It's also available for viewing on my github: https://github.com/frozencemetery/postgres/tree/feature/gssencrypt6 Let me hit the highlights of this time around: - Fallback code is back! It's almost unchanged from early